Topic: request for php 7.11.1

OS: CentOS Linux release 7.4.1708 (Core)
Kernel : 3.10.0-693.5.2.el7.x86_64

When we use php 7.1.11-1 we have no problems.
When we use any newer version, including 7.1.12-3 we get seg faults in the apache errors logs and the browser returns an empty result and no entries in the error logs except a  Segmentation fault (11)

we use httpd 2.4.6

we want to downgrade to 7.1.11-1 but cant find it anymore. sop doing a yum downgrade doesnt work

Re: request for php 7.11.1

You can manually download the previous builds from the archive store

BTW, a core/backtrace will be welcome, and worth to be reported upstream

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: request for php 7.11.1

thanks for the link. i also found a mirror which had the older version still present.

i will try and reproduce this on a test server.

thanks for your answer !

Re: request for php 7.11.1

I have found the error:

https://bugs.php.net/bug.php?id=75573

Re: request for php 7.11.1

I see that the bug isnt fixed in the current releases yet. so any website running the latest versions is returning an empty response tongue

Re: request for php 7.11.1

Thanks for the pointer.

So this is fixed upstream.

Don't know yet if I will produce a new build with the patch, or simply wait for 7.0.27RC1 and 7.1.13RC1 planed for next week.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: request for php 7.11.1

We will wait for your new official release. we don't do rc.

Re: request for php 7.11.1

FYI php-7.1.12-4 have been pushed to the repository and includes upstream fix #75573

Feedback welcome.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70